# Uses of Enum Class
org.apache.sysds.common.Types.OpOp1

Packages that use Types.OpOp1
Package
Description
org.apache.sysds.common
org.apache.sysds.hops
org.apache.sysds.hops.rewrite
org.apache.sysds.lops

## Uses of Types.OpOp1 in org.apache.sysds.common

Methods in org.apache.sysds.common that return Types.OpOp1
Modifier and Type
Method
Description
`static Types.OpOp1`
Types.OpOp1.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Types.OpOp1`
Types.OpOp1.`valueOfByOpcode(String opcode)`
`static Types.OpOp1[]`
Types.OpOp1.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Types.OpOp1 in org.apache.sysds.hops

Methods in org.apache.sysds.hops that return Types.OpOp1
Modifier and Type
Method
Description
`Types.OpOp1`
UnaryOp.`getOp()`
Constructors in org.apache.sysds.hops with parameters of type Types.OpOp1
Modifier
Constructor
Description
``
`QuaternaryOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOp4 o, Hop inW, Hop inU, Hop inV, boolean umult, Types.OpOp1 uop, Types.OpOp2 sop)`
``
`UnaryOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOp1 o, Hop inp)`

## Uses of Types.OpOp1 in org.apache.sysds.hops.rewrite

Methods in org.apache.sysds.hops.rewrite with parameters of type Types.OpOp1
Modifier and Type
Method
Description
`static UnaryOp`
HopRewriteUtils.`createUnary(Hop input, Types.OpOp1 type)`
`static boolean`
HopRewriteUtils.`isUnary(Hop hop, Types.OpOp1 type)`
`static boolean`
HopRewriteUtils.`isUnary(Hop hop, Types.OpOp1... types)`
`static boolean`
HopRewriteUtils.`isUnary(Hop hop, Types.OpOp1 type, int maxParents)`
`static boolean`
HopRewriteUtils.`isValidOp(Types.OpOp1 input, Types.OpOp1... validTab)`
`static boolean`
HopRewriteUtils.`isValueTypeCast(Types.OpOp1 op)`

## Uses of Types.OpOp1 in org.apache.sysds.lops

Methods in org.apache.sysds.lops with parameters of type Types.OpOp1
Modifier and Type
Method
Description
`static boolean`
Unary.`isMultiThreadedOp(Types.OpOp1 op)`
Constructors in org.apache.sysds.lops with parameters of type Types.OpOp1
Modifier
Constructor
Description
``
`Unary(Lop input1, Types.OpOp1 op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int numThreads, boolean inplace)`
Constructor to perform a unary operation with 1 input.
``
`Unary(Lop input1, Lop input2, Types.OpOp1 op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int numThreads)`
Constructor to perform a unary operation with 2 inputs
``
`UnaryCP(Lop input, Types.OpOp1 op, Types.DataType dt, Types.ValueType vt)`
``
`UnaryCP(Lop input, Types.OpOp1 op, Types.DataType dt, Types.ValueType vt, int k)`
``
`UnaryCP(Lop input, Types.OpOp1 op, Types.DataType dt, Types.ValueType vt, Types.ExecType et)`
``
`UnaryCP(Lop input, Types.OpOp1 op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int k)`
Constructor to perform a scalar operation
``
`WeightedUnaryMM(Lop input1, Lop input2, Lop input3, Types.DataType dt, Types.ValueType vt, WeightedUnaryMM.WUMMType wt, Types.OpOp1 op, Types.ExecType et)`
``
`WeightedUnaryMMR(Lop input1, Lop input2, Lop input3, Types.DataType dt, Types.ValueType vt, WeightedUnaryMM.WUMMType wt, Types.OpOp1 op, boolean cacheU, boolean cacheV, Types.ExecType et)`